#
# spec file for package metronome
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.artemanufrij.metronome
Name:           metronome
Version:        1.0.0
Release:        2.1
Summary:        Audible beat generator
License:        GPL-3.0-or-later
URL:            https://github.com/artemanufrij/metronome
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
A program for the Pantheon Desktop, that produces an audible beat — a click
or other sound — at regular intervals that the user can set in beats
per minute (BPM).

%lang_package

%prep
%autosetup

mv debian/copyright COPYING

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}
%fdupes %{buildroot}

%files
%license COPYING
%doc README.md
%{_bindir}/%{appid}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/%{appid}
%{_datadir}/glib-2.0/schemas/org.pantheon.metronome.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%{_datadir}/metainfo/%{appid}.appdata.xml

%files lang -f %{name}.lang

%changelog
* Mon Nov 18 2024 Richard Rahl <rrahl0@opensuse.org>
- update spec file for Leap 16.0:
  * remove %%suse_update_desktop_file
  * remove recommending lang package
  * remove mentions of elementary
  * use autosetup
* Mon Jul 22 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.0:
  * Small fixes for notation
  * Remove CMake files
  * Update installation instructions for consistency
  * Update packaging for meson
  * Update install section in README.md
  * Add meson
  * Merge pull request #33 from dabou/master
  * Add gitignore file
  * fixed warning for appdata
  * Merge pull request #31 from Vistaus/master
  * Update com.github.artemanufrij.metronome.appdata.xml
- Spec file cleanup
* Wed Aug  1 2018 avvissu@yandex.by
- Update to 0.3.0:
  * fixed iconname
  * Update README.md
  * def docu
  * renamed icons
  * Add files via upload
  * Added build instructions to README.md
  * switched to Gtk.Application
- Switch to metainfo from appdata
- Remove obsolete macros
* Tue Dec 26 2017 jengelh@inai.de
- Update description
* Wed Nov  8 2017 avvissu@yandex.by
- Update to 0.2.5:
  * Moved from Granite.Application to Gtk.Application
  * Removed About Dialog
  * Add Icon size 32px
  * Add Icon size 48px
  * Added Screenshot
  * Added information for AppStore
- Switch from bzr to git
- Add elementary-cmake-modules
- Add glib2_gsettings_schema_requires macro
- Use appdata instead of metainfo
- Add COPYING file
- Add package with translations
- Spec file cleanup
* Sun Mar  6 2016 and.november@opensuse.org
- initial package for openSUSE
